
clear all
close all

global uss xss ud invTrans Trans red_n n
 

%xss = fsolve('cstr4',[0.9637;  450.6111;    0.9123;  450.7253],oTransimset('fsolve'));
xss = [0.0882   441.2193    0.0053  449.4746]';
uss = 100;


load non_example2_matrix Trans invTrans Wcb3 Wob3 svd_Wcb3 svd_Wob3

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% test the reduced order systems by comparing step response with the original system
% Set the input
cm = 0.01;

ud=1-cm; 
n = 4;
% initial states
initvalue = ones(n,1);      

% integrate the original system
[t, y] = ode15s('cstr_scaled_non',[0:0.1:10], initvalue);
% Copy data for real system
y0(:,1) = xss(3)*y(:,3);
t0 = t;

% retaining 3 states
red_n = 3;
% initial states
initvalue = Trans*ones(n,1);
    
% integrate the reduced system
[t, y] = ode15s('cstr_scaled_non_red',[0:0.1:10], initvalue);
y = (invTrans*y')';

% Copy data for reduced system 
y3(:,1) = xss(3)*y(:,3);
t3 = t;

figure(1);
plot(t0,y0(:,1),'k-',t3,y3(:,1),'k--');
xlabel('Time ');
ylabel('Third state ');
title('Comparison');
full = strcat('full-order: 4 states');
red_3 = strcat('reduced-order: 3 states');

legend(full,red_3,0);
top = max([y0(:,1);y3(:,1)]);
bot = min([y0(:,1);y3(:,1)]);
dif = (top-bot)*0.25;
axis([0 10 (bot-dif) (top+dif)]);


